Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class OLiteSQLBuilderImpl

    java.lang.Object
      |
      +--oracle.jbo.server.BaseSQLBuilderImpl
            |
            +--oracle.jbo.server.OLiteSQLBuilderImpl

Direct Known Subclasses:
  WLSQLBuilderImpl

public class OLiteSQLBuilderImpl
extends BaseSQLBuilderImpl

OracleLite-specific implementation of the `SQLBuilder` interface.

Since:
  JDeveloper 3.0

Field Summary
`static int` | `ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED`
`protected static java.lang.String` | `ORACLE_ROWID_COLUMN`

Constructor Summary
`protected` | `OLiteSQLBuilderImpl()` This is a singleton class

Method Summary
`protected static java.lang.String` | `addSqlTypeText(java.lang.String sqlText, java.lang.String inputType)` helper for getTableList
`protected boolean` | `capabilityCanReuseLockStatements()`
`java.lang.String` | `getBaseTable(java.sql.Connection conn, java.lang.String schema, java.lang.String name)` unroll any synonyms that may be present, and get the real objectname
`java.lang.String` | `getDbType()` returns a string uniquely identifying this type of SQLBuilder.
`int` | `getDefaultBindingStyle()` unless overridden, the binding style is set to JDBC (Oracle versions change this)
`static SQLBuilder` | `getInterface()` Gets the singleton instance of this class.
`protected java.lang.String` | `getJDBCDriverClassName()` concrete implementations of SQLBuilder must elect a default driver name
`java.util.Vector` | `getTableList(java.sql.Connection conn, java.lang.String defaultUserName, java.lang.String userName, boolean bTable, boolean bAlias, boolean bView, boolean bSnap)` return a list of tables visible in this connection
`protected static java.lang.String` | `getTableListSqlStatement(java.lang.String _defaultUserName, java.lang.String userName, boolean bTable, boolean bAlias, boolean bView, boolean _bSnap, boolean bCount)` helper for getTableList
`java.lang.String` | `getVersion()` Gets a string describing the version of this implentation of this interface.

Methods inherited from class oracle.jbo.server.BaseSQLBuilderImpl
`bindInsertStatement, bindUpdateStatement, bindWhereClause, buildDeleteStatement, buildInsertStatement, buildSelectString, buildUpdateStatement, buildWhereClause, convertFlags, doEntityDML, doEntitySelect, doLoadBulkFromResultSet, doLoadFromResultSet, doLoadFromStatement, doPreparedStatementDefineColumnType, doPreparedStatementDefines, doRegisterDefaultDriver, doStatementSetBindingStyle, doStatementSetBindingStyleDefault, doStatementSetRowPrefetch, dumpConstraint, generatePKBasedRef, generateRefAndOID, generateRowID, getConstraints, getROWID, getSchemaList, getWarningText, isCharType, isNumericType, isStreamType, populateJboTypeMapEntries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED

    public static final int ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED

### ORACLE_ROWID_COLUMN

    protected static final java.lang.String ORACLE_ROWID_COLUMN

Constructor Detail

### OLiteSQLBuilderImpl

    protected OLiteSQLBuilderImpl()

  This is a singleton class

Method Detail

### getInterface

    public static SQLBuilder getInterface()

  Gets the singleton instance of this class.

### getJDBCDriverClassName

    protected java.lang.String getJDBCDriverClassName()

  Description copied from class: BaseSQLBuilderImpl
  concrete implementations of SQLBuilder must elect a default driver name
  Overrides:
    getJDBCDriverClassName in class BaseSQLBuilderImpl

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: SQLBuilder
  Gets a string describing the version of this implentation of this interface.
  Overrides:
    getVersion in class BaseSQLBuilderImpl

### getDbType

    public java.lang.String getDbType()

  Description copied from interface: SQLBuilder
  returns a string uniquely identifying this type of SQLBuilder. Examples are: "Oracle" and "OLite"
  Overrides:
    getDbType in class BaseSQLBuilderImpl

### getDefaultBindingStyle

    public int getDefaultBindingStyle()

  Description copied from class: BaseSQLBuilderImpl
  unless overridden, the binding style is set to JDBC (Oracle versions change this)
  Overrides:
    getDefaultBindingStyle in class BaseSQLBuilderImpl

### getTableList

    public java.util.Vector getTableList(java.sql.Connection conn,
                                         java.lang.String defaultUserName,
                                         java.lang.String userName,
                                         boolean bTable,
                                         boolean bAlias,
                                         boolean bView,
                                         boolean bSnap)
                                  throws java.lang.Exception

  Description copied from interface: SQLBuilder
  return a list of tables visible in this connection
  Overrides:
    getTableList in class BaseSQLBuilderImpl

### getTableListSqlStatement

    protected static java.lang.String getTableListSqlStatement(java.lang.String _defaultUserName,
                                                               java.lang.String userName,
                                                               boolean bTable,
                                                               boolean bAlias,
                                                               boolean bView,
                                                               boolean _bSnap,
                                                               boolean bCount)

  helper for getTableList

### addSqlTypeText

    protected static java.lang.String addSqlTypeText(java.lang.String sqlText,
                                                     java.lang.String inputType)

  helper for getTableList

### getBaseTable

    public java.lang.String getBaseTable(java.sql.Connection conn,
                                         java.lang.String schema,
                                         java.lang.String name)
                                  throws java.sql.SQLException

  Description copied from interface: SQLBuilder
  unroll any synonyms that may be present, and get the real objectname
  Overrides:
    getBaseTable in class BaseSQLBuilderImpl

### capabilityCanReuseLockStatements

    protected boolean capabilityCanReuseLockStatements()

  Overrides:
    capabilityCanReuseLockStatements in class BaseSQLBuilderImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD